function moneyFormat(n) {
    var s = String(n);
    var k = s.indexOf('.');
    if (k < 0) {
        k = s.length;
        s += '.00';
    }
    else {
        s += '00';
    }
    s = s.substr(0, k + 3);
    for (var i = k - 3, j = n < 0 ? 1 : 0; i > j; i -= 3) s = s.substr(0, i) + ',' + s.substr(i);
    return s;
}
$(document).ready(function(){
	
	$('a.open_close').click(function(e){
		e.preventDefault();
		$(this).parent().next('.open').slideToggle('fast');
	});

	$('#search_str').focus(function(){
		if ($(this).val()=='Поиск') $(this).val('');
	});
	$('#search_str').blur(function(){
		if ($(this).val()=='') $(this).val('Поиск');
	});
	
	$('.tabble').each(function()
	{
		var n = $(this).find('tr').length;
		if (n % 2 == 0)
		{
			$(this).find('tr:odd').addClass('yellow');
		}
		else {
			$(this).find('tr:even').addClass('yellow');
		}
		$(this).find('tr:first').addClass('green').removeClass('yellow');
	});

	$('.tabble_2').each(function()
	{
		$(this).find('tr').each(function() { 
			$(this).find('td:first').addClass('left');
			$(this).find('td:last').addClass('right');
		});
		$(this).find('tr:first').addClass('green');
	});
	
	$('.tabble_3').each(function()
	{
		var n = $(this).find('tr').length;
		if (n % 2 == 0)
		{
			$(this).find('tr:odd').addClass('lightgreen');
		}
		else {
			$(this).find('tr:even').addClass('lightgreen');
		}
		$(this).find('tr').each(function() { 
			$(this).find('td:first').addClass('left');
		});
		$(this).find('tr:first').addClass('green').removeClass('lightgreen');
	});
	
      $("#calculate").submit(function() {
        $('.tabble tr').each(function()
		{
		    $(this).find('.result').html(" ");
		    var res = "";
/*		    if ( $(this).find('.mindays_text').text()=="до&nbsp;востребования " ) 
		    {
		      var md = 1;
		    }
		    else 
		    {
		      var md = $(this).find('.mindays_text').text();
		    }*/

		    var md=$(this).find('.mindays_text').text();
		    var reg=/до востребования/g;
/*		    var result=reg.test(md) ? "Строка совпала" : "Строка не совпала"	*/
		    var res=md.replace(reg, "1");
		        

		    if ($(this).find('.currency').text()==$('#dep_cur').val() && $('#dep_length').val()>=parseInt(res)) {
				var procent = (parseFloat($(this).find('.procent').text())/365*$('#dep_value').val()/100*$('#dep_length').val()).toFixed(2);

				if ($('#dep_length').val()=="181" && $('#dep_length').val()==parseInt(res) && $('#dep_value').val()<5000){
				    $(this).find('.result').html("минимальная&nbsp;сумма<br>вклада должна<br>превышать 5&nbsp;000&nbsp;руб.</font>");
				}
				else if ($('#dep_length').val()==181 && $('#dep_length').val()==parseInt(res)) {
				    $(this).find('.result').html(procent);
				}

				if ($('#dep_length').val()=="364" && $('#dep_value').val()<5000 && $(this).find('.procent').text()=="6"){
				    $(this).find('.result').html("<font color=red>минимальная&nbsp;сумма<br>вклада должна<br>превышать 5&nbsp;000&nbsp;руб.</font>");
				}
				else if ($('#dep_length').val()=="364" && $('#dep_value').val()<5000 && $(this).find('.procent').text()=="8"){
				    $(this).find('.result').html("<font color=red>минимальная&nbsp;сумма<br>вклада должна<br>превышать 5&nbsp;000&nbsp;руб.</font>");
				}
				else if ($('#dep_length').val()==364 && $('#dep_length').val()==parseInt(res))
				{$(this).find('.result').html(procent);}

				if ($('#dep_length').val()=="364" && $('#dep_value').val()<1000 && $(this).find('.procent').text()=="2"){
				    $(this).find('.result').html("<font color=red>минимальная&nbsp;сумма<br>вклада должна<br>превышать 1&nbsp;000&nbsp;USD/EURO</font>");
				}

				if ($('#dep_length').val()=="730" && $('#dep_value').val()<50000 && $(this).find('.procent').text()=="10"){
				    $(this).find('.result').html("<font color=red>минимальная&nbsp;сумма<br>вклада должна<br>превышать 50&nbsp;000&nbsp;руб.</font>");
				}
				else if ($('#dep_length').val()=="730" && $('#dep_length').val()==parseInt(res)) {
				    $(this).find('.result').html(procent);
				}
				

	/*			else {
				var procent = (parseFloat($(this).find('.procent').text())/365*$('#dep_value').val()/100*$('#dep_length').val()).toFixed(2);
				$(this).find('.result').html(procent);
				}*/
			}
			else {
				$(this).find('.result').html();
			}
		});
      return false;
    });

	$("#p_num").change(function(){
		if ($("#p_num").val() == 1) {
			$('.open1').show('fast');
			$('.open2').hide('fast');
		}
		else if ($("#p_num").val() == 2) {
			$('.open2').show('fast');
			$('.open1').hide('fast');
		}
		else if ($("#p_num").val() == 0) {
			$('.open2').hide('fast');
			$('.open1').hide('fast');
		}
	});

	$("#maxcre_calc").click(function(e){
	if ($("#credit_name").val() != 'ipoteka') {
	
		if ($("#p_num").val() == "1") {
			if ($("#dohod1").val()!='' && $("#dohod2").val()!='') {
			  var k = 1;
			  if ($("#dohod2").val()>=$("#dohod1").val()) k = 1.5;
			  else if ($("#dohod2").val()>=$("#dohod1").val()/2) k = 1.3;
			  var s1 = ($("#dohod1").val()-$("#life_min").val()-$("#life_min").val()*$("#num_dependents").val())*k;
			}
			else {
			    $('#maxcredit_result').html('<p>Укажите доходы заемщика и супруга/супруги.</p>');
			    return false;
			}
		}
		else if ($("#p_num").val() == "2") {
			if ($("#sozaem").val()!='') {
			  var s1 = ($("#sozaem").val()-$("#life_min").val()*2-$("#life_min").val()*$("#num_dependents").val());
			}
			else {
			    $('#maxcredit_result').html('<p>Укажите общий доход заемщиков.</p>');
			    return false;
			}
		}
		else {
		    $('#maxcredit_result').html('<p>Выберите количество заемщиков.</p>');
		    return false;
		}
	
		var s2 = s1*12*$("#credit_length").val();
		eval($("#proc_temp").val());
		var month = 12*$("#credit_length").val();
	        var $pProcent = procent_arr[$("#credit_length").val()];
	}
/*для ипотеки (аннуитет)*/
		if ($("#credit_name").val() == 'ipoteka') {
		  $pProcent = "14";
	          $month = 12*$("#credit_length").val();
		  if ( $("#dohod-one").val() > 0 && $("#dohod-one").val() < 30000 ) {$Kr = "0.3";}
		  else if (($("#dohod-one").val() >= 30000) && ($("#dohod-one").val() <= 60000)) {$Kr = "0.4";}
		  else if (($("#dohod-one").val() > 60001) && ($("#dohod-one").val() <= 2000000)) {$Kr = "0.5";}
		  else 	   {
		    $('#maxcredit_result').html('<p>Введите среднемесячный доход заемщика(-ов).</p>');
		    return false;
		  }
		  $Pkr = $("#dohod-one").val()*$Kr; 
		  $PS = ($pProcent/12)/100; /*проц ставка*/
		  $Kmax = $Pkr*(Math.pow($PS/(1 - Math.pow(((1+$PS)), -($month-1))), -1));
		}

/*корректировка процентов по автокредиту*/
		if (($("#p_num").val() == "2")&&($("#credit_length").val()=="5"  )){
		    $pProcent = "18";
		}
		var s3 = s2/((1+(($pProcent/100)*month)/12)*1.2);
		if (s3 < "50000") {
		    $('#maxcredit_result').html('<p>Максимально возможная сумма кредита меньше 50 000 руб., выдача кредита невозможна.</p>');
		    return false;	    
		}

		if (($("#credit_name").val() == 'standart')&&(s3 >= "1000000")) {
    		    s3="1000000";
		}
		if (($("#credit_name").val() == 'family')&&(s3 >= "300000")) {
    		    s3="300000";
		}
		if (($("#credit_name").val() == 'ipoteka')&&($Kmax >= "5000000")){
		  $Kmax="5000000";
		}
	    if ($("#credit_name").val() == 'ipoteka') {
		$('#maxcredit_result').html('<h3>Максимальная сумма кредита: <strong>\
		' + moneyFormat(Math.round($Kmax)) +' </strong>руб.</h3></p>');
	    }
	    else {
		$('#maxcredit_result').html('<h3>Ваша процентная ставка <b>\
		'+$pProcent+'%</b>, максимальная сумма кредита: <strong>\
		' + moneyFormat(Math.round(s3)) +' </strong>руб.</h3></p>');
	    }
/*		$('#maxcredit_result').html('Срок кредита='+ $month + ' ' + $("#dohod-one").val()+'\
		Kr='+$Kr+' Pkr=' +$Pkr + ' PS= '+$PS+'\
		<br>$tmp1='+$tmp1+' tmp2=' +$tmp2+ ' tmp3='+$tmp3+'\
		 Kmax=' + $Kmax);*/
		
/*		' + month  + ' mon.<p> Процент = \
		' + $pProcent  + '\
		<p>ПлатСпсб = ' + s2 + $("#p_num").val() +'\
		<p>Имя кредита = ' + $("#credit_name").val() + '\
		<p>Попр коэф = ' + k + '\
		<p>Среднем. платспсб = ' + s1 + '\
		<p>Дети = ' + $("#num_dependents").val() + '\
		<p>Стоимость жилья = '+$("#cost").val()+'\
		<p>Перв взнос = '+$("#first_dep").val()+'\
		<p>Процент собст средств ' + $pProcVznos + '\
		<p>$pProcent' + $pProcent + '\
		<p>Максимальная сумма кредита: ' + Math.round(s3) +' рублей</p>');
*/
/*		$('#maxcredit_result').html( (s2)+'/'+((1+((procent_arr[$("#credit_length").val()]/100)*$("#credit_length").val()))*1.2) );*/
	});
});
